> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List entitlements

> ListEntitlements

 Returns list of entitlements based on specified parameters.



## OpenAPI

````yaml get /monetization/entitlements/v1
openapi: 3.0.3
info:
  title: Studio API - Motto
  version: 0.0.0
servers:
  - url: https://api.mottostreaming.com
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: AccountService
    description: Account management service
  - name: ActionConfigurationService
    description: Action configuration service definition
  - name: ActionSecretService
    description: Action type service definition
  - name: ActionService
    description: Action service definition
  - name: ActionTypeService
    description: Action type service definition
  - name: ActivityService
    description: Activity service definition
  - name: AdService
    description: Ad management service.
  - name: AnnotationService
    description: Annotation service definition
  - name: AnnotationSetService
    description: Annotation service definition
  - name: AnnotationTypeService
    description: Annotation service definition
  - name: AssetService
    description: Asset management service.
  - name: AuthService
    description: Auth service definition
  - name: BannerService
    description: Banner service definition
  - name: BannerV2Service_v2
    description: Banner service definition
  - name: CleengService
    description: CleengService service definition
  - name: ClipService
    description: ClipService is the service that handles Clip operations.
  - name: ConfigurationService
    description: >-
      Configuration management service. These configurations allow modifying the
      behavior of streams, uploads, simulcasts, etc.
  - name: ContentTypeService
    description: ContentType service definition
  - name: CreativeWorkService
    description: CreativeWork service definition
  - name: EntitlementService
    description: Entitlement service definition
  - name: EntityService
    description: Entity service definition
  - name: EventService
    description: Event service definition
  - name: FileService
    description: OTT files management.
  - name: IngestService
    description: Ingest management service.
  - name: IngestService_v2
    description: Ingest management service.
  - name: LiveStreamService
    description: LiveStream management service.
  - name: LiveStreamService_v2
    description: LiveStream management service.
  - name: OfferService
    description: Offer service definition
  - name: OrganizationService
    description: Organization management service.
  - name: PageService
    description: Page service definition
  - name: PlatformService
    description: Platform service definition
  - name: PlaylistService
    description: Playlist management service.
  - name: ProjectService
    description: Project management service.
  - name: SimulcastService
    description: Simulcast management service.
  - name: SlugService
    description: Slug service definition
  - name: SpiideoService
    description: SpiideoService service definition
  - name: StandingService
    description: Standing service definition
  - name: StitcherService
    description: StitcherService is the service that handles stitching operations.
  - name: StripeService
    description: StripeService service definition
  - name: SubscriptionService
    description: Subscription service definition
  - name: SubtitleService
    description: SubtitleService is the service that handles Subtitle operations.
  - name: TransactionService
    description: Transaction service definition
  - name: UploadService
    description: Upload management service.
  - name: UsageService
    description: The UsageService provides methods to retrieve usage data for SKUs.
  - name: UserService
    description: User management service
  - name: VODService
    description: VODService is the service that handles VOD operations.
  - name: VODService_v2
    description: VODService is the service that handles VOD operations.
  - name: VideoProtectionService
    description: VideoProtection management service.
  - name: VideoProtectionService_v2
    description: VideoProtection management service.
  - name: VideoService
    description: Video management service.
paths:
  /monetization/entitlements/v1:
    get:
      tags:
        - EntitlementService
      description: |-
        ListEntitlements

         Returns list of entitlements based on specified parameters.
      operationId: EntitlementService_ListEntitlements
      parameters:
        - name: page_size
          in: query
          description: Maximum number of records to return
          required: true
          schema:
            type: integer
            format: int32
        - name: project_id
          in: query
          required: true
          schema:
            type: string
        - name: filter
          in: query
          description: >-
            Filter the result-set by properties using a subset of the Kibana
            Query Language.
             This currently supports queries based on `user_id` and `offer_id`
          schema:
            type: string
        - name: page_token
          in: query
          description: The pagination token in the List request.
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/motto.monetization.entitlement.v1.ListEntitlementsResponse
        default:
          description: Default error response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/google.rpc.Status'
components:
  schemas:
    motto.monetization.entitlement.v1.ListEntitlementsResponse:
      type: object
      properties:
        entitlements:
          type: array
          items:
            $ref: '#/components/schemas/motto.monetization.entitlement.v1.Entitlement'
        next_page_token:
          type: string
          description: >-
            The pagination token that should be used to get next entitlement
            results.
             An empty value means no more results
    google.rpc.Status:
      type: object
      properties:
        code:
          type: integer
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          format: int32
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
        details:
          type: array
          items:
            $ref: '#/components/schemas/google.protobuf.Any'
          description: >-
            A list of messages that carry the error details.  There is a common
            set of message types for APIs to use.
      description: >-
        The `Status` type defines a logical error model that is suitable for
        different programming environments, including REST APIs and RPC APIs. It
        is used by [gRPC](https://github.com/grpc). Each `Status` message
        contains three pieces of data: error code, error message, and error
        details. You can find out more about this error model and how to work
        with it in the [API Design
        Guide](https://cloud.google.com/apis/design/errors).
    motto.monetization.entitlement.v1.Entitlement:
      required:
        - user_id
        - project_id
        - offer_id
      type: object
      properties:
        user_id:
          type: string
          description: |-
            The ID of the user who is entitled to access the content.
             The user ID must be contained in the JWT token that the user authenticates with on the content-delivery API.
        project_id:
          type: string
        offer_id:
          type: string
          description: >-
            The offer that the user is entitled to access. For more information,
            see `Offer`.
        expiration_time:
          type: string
          description: |-
            The time at which the entitlement is no longer valid.
             If not provided, the entitlement will not expire.
          format: date-time
        source_type:
          type: string
          description: >-
            A string representing the type of the source of the entitlement. For
            example, `cleeng` or `motto`.
        source_id:
          type: string
          description: >-
            An identifier of the source of the entitlement. For example, the
            Cleeng transaction ID or the Motto transaction ID.
        concurrency_limit:
          type: string
          description: >-
            The amount of devices that can concurrently view the content
            associated with this entitlement from a single account.
             If not provided, there is no limit.
             This typically refers to the number of devices that can concurrently view the content associated with the offer,
             but may deviate in certain conditions (e.g. when the entitlement is created via this API and should have a different limit,
             or when the offer's concurrency limit has changed since the original entitlement was created).
        origin_country_code:
          type: string
          description: >-
            The two-character ISO 3166-1 alpha-2 country code of the country
            where the user obtained the entitlement.
             This may be used to bypass geo-restrictions in certain conditions, e.g. when the user is traveling and is protected
             by EU regulations (https://europa.eu/youreurope/citizens/consumers/internet-telecoms/access-online-content-abroad/index_en.htm).
             If not provided, the entitlement will not be able to bypass geo-restrictions.
      description: >-
        Entitlements represent an end-users permission to access event or
        creative work content.
    google.protobuf.Any:
      type: object
      properties:
        '@type':
          type: string
          description: The type of the serialized message.
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````